<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://schemas.haulmont.com/cuba/screen/window.xsd"
        caption="msg://incomeEdit.caption"
        focusComponent="form"
        messagesPack="com.bitsolution.urundana.web.screens.master.income">
    <data>
        <instance id="incomeDc"
                  class="com.bitsolution.urundana.entity.master.Income">
            <view extends="_local"/>
            <loader/>
        </instance>
    </data>
    <dialogMode height="600"
                width="800"/>
    <layout expand="editActions" spacing="true">
        <form id="form" dataContainer="incomeDc">
            <column width="350px">
                <textField id="idField" property="id"/>
                <textField id="codeField" property="code"/>
                <textField id="labelField" property="label"/>
                <textField id="label2ndField" property="label2nd"/>
                <textArea id="descriptionField" property="description" rows="5"/>
                <textArea id="description2ndField" property="description2nd" rows="5"/>
            </column>
        </form>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
